<?php

namespace Database\Factories;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;

class ProjectFactory extends Factory
{
    public function definition(): array
    {
        $domain = fake()->unique()->domainName();
        return ['user_id' => User::factory(), 'name' => fake()->company(), 'domain' => $domain, 'url' => 'https://'.$domain];
    }
}
